Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface InstanceOfTree

All Superinterfaces:
  ExpressionTree, Tree

    public interface InstanceOfTree
    extends ExpressionTree

A tree node for an 'instanceof' expression. For example:

       expression instanceof type

Since:
  9

### Nested Class Summary

### Nested classes/interfaces inherited from interface jdk.nashorn.api.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`ExpressionTree` `getExpression()` Returns the expression whose type is being checked.
`Tree` `getType()` Returns the type expression.

### Methods inherited from interface jdk.nashorn.api.tree.Tree

`accept, getEndPosition, getKind, getStartPosition`

### Method Detail

#### getExpression

    ExpressionTree getExpression()

Returns the expression whose type is being checked.

Returns:
  the expression whose type is being checked

#### getType

    Tree getType()

Returns the type expression.

Returns:
  the type expression